Name: clamtk
Version: 2.17
Release: 1.fc
Summary: Easy to use front-end for ClamAV
License: Artistic
Group: Applications/File
URL: http://clamtk.sourceforge.net/

Packager: Dave M

Source: http://dl.sf.net/clamtk/clamtk-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: desktop-file-utils
Requires: perl-Gtk2 >= 1.102, perl-File-Find-Rule, perl-Date-Calc
Requires: clamav >= 0.83, clamav-data, clamav-lib, clamav-update

%description
ClamTk is a frontend for ClamAV antivirus.
It is meant to be lightweight and easy to use.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -D -m0755 clamtk %{buildroot}%{_bindir}/clamtk
%{__install} -D -m0644 clam.xpm %{buildroot}%{_datadir}/pixmaps/clam.xpm
%{__install} -D -m0644 clamtk.xml %{buildroot}%{_datadir}/mime/packages/clamtk.xml
%{__install} -D -m0644 clamtk.1.gz %{buildroot}%{_mandir}/man1/clamtk.1.gz

desktop-file-install --delete-original 				\
	--vendor misc						\
        --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
	--add-category X-Fedora					\
        clamtk.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database -q || :

%postun
update-mime-database %{_datadir}/mime &>/dev/null || :
update-desktop-database -q || :

%files
%doc CHANGES DISCLAIMER LICENSE README
%defattr(-, root, root, -)
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/clam.xpm
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Apr 22 2006 Dave M. <dave.nerd@gmail.com> - 2.17-1
- Updated to release 2.17.
- clamav rpm version changed back to >= 83.
- perl-Gtk2 rpm version changed back to >= 1.102.

* Sun Mar 20 2006 Dave M. <dave.nerd@gmail.com> - 2.16-1
- Updated to release 2.16.
- Added requirement of perl-Gtk2 >= 1.120.

* Sun Feb 12 2006 Dave M. <dave.nerd@gmail.com> - 2.15-1
- Updated to release 2.15.
- Added man page.
- Added BuildArch: noarch.

* Mon Jan 16 2006 Dave M. <dave.nerd@gmail.com> - 2.14-1
- Updated to release 2.14.
- Removed manual creation of .desktop file.
- Added clamtk.desktop and clamtk.xml.

* Sun Jan 1 2006 Dave M. <dave.nerd@gmail.com> - 2.13-1
- Updated to release 2.13.

* Fri Dec 23 2005 Dave M. <dave.nerd@gmail.com> - 2.12-1
- Updated to release 2.12.
- Updated dependencies by removing perl-libwww-perl.

* Sat Dec 10 2005 Dave M. <dave.nerd@gmail.com> - 2.11-1
- Updated to release 2.11.

* Sun Nov 27 2005 Dave M. <dave.nerd@gmail.com> - 2.10-1
- Updated to release 2.10.

* Sat Nov 26 2005 Dave M. <dave.nerd@gmail.com> - 2.09-1
- Updated to release 2.09.

* Fri Nov 11 2005 Dave M. <dave.nerd@gmail.com> - 2.08-1
- Updated to release 2.08.
- Updated dependencies.

* Sat Oct 22 2005 Dave M. <dave.nerd@gmail.com> - 2.07-1
- Updated to release 2.07.

* Sun Aug 28 2005 Dave M. <dave.nerd@gmail.com> - 2.06-1
- Updated to release 2.06.

* Sat Aug 20 2005 Dave M. <dave.nerd@gmail.com> - 2.05-1
- Updated to release 2.05.
- Changed license from Perl to Artistic.

* Sun Jul 17 2005 Dave M. <dave.nerd@gmail.com> - 2.04-1
- Updated to release 2.04.

* Sat Jul 09 2005 Dave M. <dave.nerd@gmail.com> - 2.03-1
- Updated to release 2.03.

* Sat Jul 02 2005 Dave M. <dave.nerd@gmail.com> - 2.02-1
- Updated to release 2.02.

* Sat Jun 25 2005 Dave M. <dave.nerd@gmail.com> - 2.01-1
- Changed dependencies to fit Fedora Extras different naming scheme.
- Updated to release 2.01.

* Sat Jun 11 2005 Dave M. <dave.nerd@gmail.com> - 2.00-1
- Updated to release 2.00.

* Wed May 18 2005 Dave M. <dave.nerd@gmail.com> - 1.99-1
- Updated to release 1.99.

* Sun May 08 2005 Dave M. <dave.nerd@gmail.com> - 1.98-1
- Updated to release 1.98.

* Thu May 05 2005 Dag Wieers <dag@wieers.com> - 1.97-1 - 3063+/dag
- Updated to release 1.97.
- Added changes from Dave M.

* Wed Mar 30 2005 Dag Wieers <dag@wieers.com> - 1.0.10-1
- Initial package. (using DAR)
